Subject: git http-push and MKCOL error (22/409)

From: Thomas Schlichter <[email-masked]>
Date: Sun, 16 Aug 2009 15:57:26 +0200

Hello,

I was using git version 1.6.4 and a remote WebDAV repository. But 
unfortunately, git-http-push always returns following error:

schlicht@netbook:~/dummy$ git push
Fetching remote heads...
  refs
  refs/heads
  refs/tags
  refs/heads
  refs/tags
updating 'refs/heads/master'
  from 980385b1032efc0db665dff3ad54068f762af9aa
  to   98fd7fb8f32843c1bb40bd195a2f1cd6cab0751d
    sending 1 objects
MKCOL 98fd7fb8f32843c1bb40bd195a2f1cd6cab0751d failed, aborting (22/409)
Updating remote server info
error: failed to push some refs to 
'https://webdav.smartdrive.web.de/dummy.git'

Current "master" and "next" trees also have this problem. But as git version 
1.6.4 does not have this problem, I was able to bisect it down to commit:

   5424bc557fc6414660830b470dd45774b8f5f281
   http*: add helper methods for fetching objects (loose)

I can always reproduce this problem, so I am willing to test patches to fix 
this regression.

Kind regards,
Thomas Schlichter